Miracle Docs
Risk config

Create or update risk configuration

PUT
/v1/admin/risk-config
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.miracle.com/v1/admin/risk-config" \  -H "Content-Type: application/json" \  -d '{    "allowBelow": 100,    "rejectAbove": 100,    "failureMode": "fail_open",    "timeoutMs": 5000  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "allowBelow": 100,
    "reviewAbove": 100,
    "rejectAbove": 100,
    "force3dsAbove": 100,
    "failureMode": "fail_open",
    "timeoutMs": 0,
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty

On this page